
Conversion Tools - Feature #1734

improve temp/work table naming

10/29/2012 02:19 PM - Eric Faulhaber

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 16.00 hours

Target version: Converted Code Improvements -

Deduplication

  

billable: No vendor_id: GCD

Description

History

#1 - 10/29/2012 02:24 PM - Eric Faulhaber

The current naming convention of TempRecordN, where N is a sequential number, is severely limiting.  Any change to a temp/work table requires full

reconversion, because an incremental conversion restarts the number sequence and causes naming collisions.  The names must be persisted in the

conversion database for consistency across subsequent, incremental conversion runs.

Also, we should do away with the sequential naming convention altogether and base the names on those used in the 4GL code.  Note we will have to

deal with the case where the same table structure is named differently across external procedures.

#2 - 10/31/2012 03:40 PM - Greg Shah

- Target version set to Code Improvements

#3 - 03/28/2016 12:40 AM - Eric Faulhaber

- Status changed from New to Closed

- % Done changed from 0 to 100

Implemented.

#4 - 11/16/2016 12:35 PM - Greg Shah

- Target version changed from Code Improvements to Converted Code Improvements - Deduplication
